<div class="menu-full-page w-screen bg-transparent text-ferrari-white ">
    <div class="top pt-20">
        <div class="left justify-center flex items-center">
            <img src="../../../assets/images/cars/contact-ferrari.jpg" alt="Ferrari" class="ferrari">
        </div>
        <div class="right pt-32">
            <h3 class="text-8xl pl-4 font-bold tracking-wide">{{'contact' | uppercase}}</h3>
            <ul class="ml-24 text-2xl mt-12 mb-32">
                <li class="flex items-center"><i class="fal fa-phone-alt text-ferrari-yellow"></i><span class="mx-4 border-t border-ferrari-yellow w-6"></span><a [href]="contact.phone | phone:contact.country:true" title="Click to call the number." class="phone">{{ contact.phone | phone:contact.country}}</a>
                </li>
                <li class="flex items-center"><i class="fal fa-at text-ferrari-yellow"></i><span class="mx-4 border-t border-ferrari-yellow w-6"></span><a [href]="'mailto:' + contact.mail">{{contact.mail}}</a>
                </li>
                <li class="flex items-center"><i class="fal fa-map-marked-alt text-ferrari-yellow"></i><span class="mx-4 border-t border-ferrari-yellow w-6"></span><a [href]="contact.location_url" target="_blank" rel="noreferrer external noopener">{{ contact.location}}</a>
                </li>
            </ul>
            <h5 class="text-xl font-thin">Or feel free to write us directly from the form at the bottom of <a href="/contact/#form" class="text-ferrari-red italic font-semibold">the page</a>.</h5>
        </div>
    </div>
    <div class="bottom" id='form'>
        <div class="left form-box-sub p-20">
            <h4 class="m-10 text-8xl font-thin">Contact Us</h4>
            <form class="form-box-sub w-8/12 ml-24">
                <div class="form-box">
                    <div class="form-box-sub w-2/5">
                        <label for="first_name">First name</label>
                        <input id="first_name" />
                    </div>
                    <div class="form-box-sub w-2/5">
                        <label for="last_name">Last name</label>
                        <input id="last_name" />
                    </div>
                </div>
                <div class="form-box">
                    <div class="form-box-sub w-1/5">
                        <label for="region">Region</label>
                        <select id="region">
              <option *ngFor="let code of "></option>
              <option *ngFor="let country of supportedCountries" [value]="country.code">{{country.name}}</option>
            </select>
                    </div>
                    <div class="form-box-sub w-3/5">
                        <label for="Phone">Phone</label>
                        <input id="phone" [value]="form_info.phone | phone:form_info.region " />
                    </div>
                </div>
                <div class="form-box">
                    <div class="form-box-sub justify-center w-full">
                        <label for="first_name">Email</label>
                        <input id="mail" type="email" />
                    </div>
                </div>
                <div class="form-box">
                    <div class="form-box-sub justify-center w-full">
                        <label for="object">Object</label>
                        <select id="object" required>
              <option *ngFor="let method of contact_object" [value]="method | uppercase">{{method}}</option>
            </select>
                    </div>
                </div>
                <div class="form-box">
                    <div class="form-box-sub justify-center w-full">
                        <label for="description">Describe your needs</label>
                        <textarea id="description" cols="30" rows="6"></textarea>
                    </div>
                </div>
                <div class="form-box">
                    <div class="form-box-sub justify-center w-full">
                        <a class="button" [href]="'mailto:' + contact.mail + '?subject='+ '['+ form_info.object +']%20' +form_info.last_name + '%20' + form_info.first_name + '&body=' + form_info.descriptionURI">Send</a>
                    </div>
                </div>
            </form>
        </div>
        <div class="right">
            <app-map></app-map>
        </div>
    </div>
</div>
